## linux-hwe 5.3.0-69.65+9.0trisquel2

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 5
PATCHLEVEL = 3
SUBLEVEL = 18
EXTRAVERSION = -gnu
NAME = Bobtail Squid

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# That's our default target when none is given on the command line
PHONY := _all
_all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(filter-out --%,$(MAKEFLAGS))),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# Do we want to change the working directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifneq ($(KBUILD_OUTPUT),)
# Make's built-in functions such as $(abspath ...), $(realpath ...) cannot
# expand a shell special character '~'. We use a somewhat tedious way here.
abs_objtree := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) && pwd)
$(if $(abs_objtree),, \
     $(error failed to create output directory "$(KBUILD_OUTPUT)"))

# $(realpath ...) resolves symlinks
abs_objtree := $(realpath $(abs_objtree))
else
abs_objtree := $(CURDIR)
endif # ifneq ($(KBUILD_OUTPUT),)

ifeq ($(abs_objtree),$(CURDIR))
# Suppress "Entering directory ..." unless we are changing the work directory.
MAKEFLAGS += --no-print-directory
else
need-sub-make := 1
endif

abs_srctree := $(realpath $(dir $(lastword $(MAKEFILE_LIST))))

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

ifneq ($(abs_srctree),$(abs_objtree))
# Look for make include files relative to root of kernel src
#
# This does not become effective immediately because MAKEFLAGS is re-parsed
# once after the Makefile is read. We need to invoke sub-make.
MAKEFLAGS += --include-dir=$(abs_srctree)
need-sub-make := 1
endif

ifneq ($(filter 3.%,$(MAKE_VERSION)),)
# 'MAKEFLAGS += -rR' does not immediately become effective for GNU Make 3.x
# We need to invoke sub-make to avoid implicit rules in the top Makefile.
need-sub-make := 1
# Cancel implicit rules for this Makefile.
$(lastword $(MAKEFILE_LIST)): ;
endif

export abs_srctree abs_objtree
export sub_make_done := 1

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(lastword $(MAKEFILE_LIST)), $(MAKECMDGOALS)) _all: sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
sub-make:
	$(Q)$(MAKE) -C $(abs_objtree) -f $(abs_srctree)/Makefile $(MAKECMDGOALS)

endif # need-sub-make
endif # sub_make_done

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(need-sub-make),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Call message checker as part of the C compilation
#
# Use 'make D=1' to enable checking
# Use 'make D=2' to create the message catalog

ifdef D
  ifeq ("$(origin D)", "command line")
    KBUILD_KMSG_CHECK = $(D)
  endif
endif
ifndef KBUILD_KMSG_CHECK
  KBUILD_KMSG_CHECK = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  $(warning ================= WARNING ================)
  $(warning 'SUBDIRS' will be removed after Linux 5.3)
  $(warning )
  $(warning If you are building an individual subdirectory)
  $(warning in the kernel tree, you can do like this:)
  $(warning $$ make path/to/dir/you/want/to/build/)
  $(warning (Do not forget the trailing slash))
  $(warning )
  $(warning If you are building an external module,)
  $(warning Please use 'M=' or 'KBUILD_EXTMOD' instead)
  $(warning ==========================================)
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

export KBUILD_CHECKSRC KBUILD_EXTMOD

ifeq ($(abs_srctree),$(abs_objtree))
        # building in the source tree
        srctree := .
	building_out_of_srctree :=
else
        ifeq ($(abs_srctree)/,$(dir $(abs_objtree)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(abs_srctree)
        endif
	building_out_of_srctree := 1
endif

ifneq ($(KBUILD_ABS_SRCTREE),)
srctree := $(abs_srctree)
endif

objtree		:= .
VPATH		:= $(srctree)

export building_out_of_srctree srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h
old_version_h := include/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg
no-sync-config-targets := $(no-dot-config-targets) install %install \
			   kernelrelease

config-targets  := 0
mixed-targets   := 0
dot-config      := 1
may-sync-config := 1

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		dot-config := 0
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config := 0
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config := 0
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter config %config,$(MAKECMDGOALS)),)
                config-targets := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
                        mixed-targets := 1
                endif
        endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
                mixed-targets := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
	        mixed-targets := 1
        endif
endif

ifeq ($(mixed-targets),1)
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(filter-out __build_one_by_one, $(MAKECMDGOALS)): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else

include scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif

=== debian/changelog ===
linux-hwe (5.3.0-69.65+9.0trisquel2) etiona; urgency=medium

  * Removed non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 14 Nov 2020 16:17:16 +0000

linux-hwe (5.3.0-69.65) bionic; urgency=medium

  * CVE-2020-8694
    - powercap: make attributes only readable by root

  * CVE-2020-12351 // CVE-2020-12352 // CVE-2020-24490
    - Bluetooth: Disable High Speed by default
    - Bluetooth: MGMT: Fix not checking if BT_HS is enabled
    - [Config] hwe: Disable BlueZ highspeed support

  * CVE-2020-12351
    - Bluetooth: L2CAP: Fix calling sk_filter on non-socket based channel

  * CVE-2020-12352
    - Bluetooth: A2MP: Fix not initializing all members

  * Focal update: v5.4.56 upstream stable release (LP: #1891063) //
    CVE-2020-24490
    - Bluetooth: fix kernel oops in store_pending_adv_report

 -- Stefan Bader <stefan.bader@canonical.com>  Wed, 21 Oct 2020 12:06:28 +0200

linux-hwe (5.3.0-68.63) bionic; urgency=medium

  * CVE-2020-16119
    - SAUCE: dccp: avoid double free of ccid on child socket

  * CVE-2020-16120
    - Revert "UBUNTU: SAUCE: overlayfs: ensure mounter privileges when reading
      directories"
    - ovl: pass correct flags for opening real directory
    - ovl: switch to mounter creds in readdir
    - ovl: verify permissions in ovl_path_open()
    - ovl: call secutiry hook in ovl_real_ioctl()
    - ovl: check permission to open real file

  * Packaging resync (LP: #1786013)
    - update dkms package versions

  * Introduce the new NVIDIA 450-server and the 450 UDA series (LP: #1887674)
    - [Packaging] hwe: Update nvidia driver versions

  * Introduce the new NVIDIA 418-server and 440-server series, and update the
    current NVIDIA drivers (LP: #1881137)
    - [Packaging] hwe: Add build support for nvidia-server drivers

  * msg_zerocopy.sh in net from ubuntu_kernel_selftests failed (LP: #1812620)
    - selftests/net: relax cpu affinity requirement in msg_zerocopy test

  * Fix false-negative return value for rtnetlink.sh in kselftests/net
    (LP: #1890136)
    - selftests: rtnetlink: correct the final return value for the test
    - selftests: rtnetlink: make kci_test_encap() return sub-test result

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 28 Sep 2020 08:30:12 -0300

linux-hwe (5.3.0-67.61) bionic; urgency=medium

  * bionic/linux-hwe: 5.3.0-67.61 -proposed tracker (LP: #1894284)

  * CVE-2020-14386
    - SAUCE: net/packet: fix overflow in tpacket_rcv

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 04 Sep 2020 18:54:04 -0300

linux-hwe (5.3.0-66.60) bionic; urgency=medium

  * bionic/linux-hwe: 5.3.0-66.60 -proposed tracker (LP: #1891053)

  * ipsec: policy priority management is broken (LP: #1890796)
    - xfrm: policy: match with both mark and mask on user interfaces

  * cgroup refcount is bogus when cgroup_sk_alloc is disabled (LP: #1886860)
    - cgroup: fix cgroup_sk_alloc() for sk_clone_lock()
    - cgroup: Fix sock_cgroup_data on big-endian.

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 11 Aug 2020 09:22:54 +0200

linux-hwe (5.3.0-65.59) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
    - [Packaging] update variants
    - [Packaging] update update.conf
    - update dkms package versions
    - [Packaging] update helper scripts

  * Eoan update: upstream stable patchset 2020-07-21 (LP: #1888429)
    - KVM: s390: reduce number of IO pins to 1
    - spi: spi-fsl-dspi: Adding shutdown hook
    - spi: spi-fsl-dspi: Fix lockup if device is removed during SPI transfer
    - regmap: fix alignment issue
    - ARM: dts: omap4-droid4: Fix spi configuration and increase rate
    - drm/tegra: hub: Do not enable orphaned window group
    - gpu: host1x: Detach driver on unregister
    - spi: spidev: fix a race between spidev_release and spidev_remove
    - spi: spidev: fix a potential use-after-free in spidev_release()
    - ixgbe: protect ring accesses with READ- and WRITE_ONCE
    - i40e: protect ring accesses with READ- and WRITE_ONCE
    - drm: panel-orientation-quirks: Add quirk for Asus T101HA panel
    - drm: panel-orientation-quirks: Use generic orientation-data for Acer S1003
    - s390/kasan: fix early pgm check handler execution
    - cifs: update ctime and mtime during truncate
    - ARM: imx6: add missing put_device() call in imx6q_suspend_init()
    - scsi: mptscsih: Fix read sense data size
    - usb: dwc3: pci: Fix reference count leak in dwc3_pci_resume_work
    - block: release bip in a right way in error path
    - nvme-rdma: assign completion vector correctly
    - x86/entry: Increase entry_stack size to a full page
    - net: qrtr: Fix an out of bounds read qrtr_endpoint_post()
    - drm/mediatek: Check plane visibility in atomic_update
    - net: cxgb4: fix return error value in t4_prep_fw
    - smsc95xx: check return value of smsc95xx_reset
    - smsc95xx: avoid memory leak in smsc95xx_bind
    - net: hns3: fix use-after-free when doing self test
    - ALSA: compress: fix partial_drain completion state
    - arm64: kgdb: Fix single-step exception handling oops
    - nbd: Fix memory leak in nbd_add_socket
    - cxgb4: fix all-mask IP address comparison
    - bnxt_en: fix NULL dereference in case SR-IOV configuration fails
    - net: macb: mark device wake capable when "magic-packet" property present
    - mlxsw: spectrum_router: Remove inappropriate usage of WARN_ON()
    - ALSA: opl3: fix infoleak in opl3
    - ALSA: hda - let hs_mic be picked ahead of hp_mic
    - ALSA: usb-audio: add quirk for MacroSilicon MS2109
    - KVM: arm64: Fix definition of PAGE_HYP_DEVICE
    - KVM: arm64: Stop clobbering x0 for HVC_SOFT_RESTART
    - KVM: x86: bit 8 of non-leaf PDPEs is not reserved
    - KVM: x86: Inject #GP if guest attempts to toggle CR4.LA57 in 64-bit mode
    - KVM: x86: Mark CR4.TSD as being possibly owned by the guest


=== debian/control ===
Source: linux-hwe
Section: devel
Priority: optional
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.4.0
Build-Depends:
 debhelper (>= 9),
 dh-systemd,
 cpio,
 kernel-wedge,
 kmod <!stage1>,
 libcap-dev <!stage1>,
 makedumpfile [amd64 i386] <!stage1>,
 libelf-dev <!stage1>,
 libnewt-dev <!stage1>,
 libiberty-dev <!stage1>,
 default-jdk-headless <!stage1>,
 java-common <!stage1>,
 rsync <!stage1>,
 libdw-dev <!stage1>,
 libpci-dev <!stage1>,
 pkg-config <!stage1>,
 flex <!stage1>,
 bison <!stage1>,
 libunwind8-dev [amd64 arm64 armhf i386 ppc64el] <!stage1>,
 liblzma-dev <!stage1>,
 openssl <!stage1>,
 libssl-dev <!stage1>,
 libaudit-dev <!stage1>,
 bc <!stage1>,
 python-dev <!stage1>,
 gawk <!stage1>,
 libudev-dev <!stage1>,
 autoconf <!stage1>,
 automake <!stage1>,
 libtool <!stage1>,
 uuid-dev <!stage1>,
 libnuma-dev [amd64 arm64 i386 ppc64el s390x] <!stage1>,
 dkms <!stage1>,
 curl <!stage1>,
Build-Depends-Indep:
 xmlto <!stage1>,
 docbook-utils <!stage1>,
 ghostscript <!stage1>,
 fig2dev <!stage1>,
 bzip2 <!stage1>,
 sharutils <!stage1>,
 asciidoc <!stage1>,
 python-sphinx <!stage1>,
 python-sphinx-rtd-theme <!stage1>,
 fontconfig <!stage1>,
 python3-docutils <!stage1>,
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/etiona -b hwe
XS-Testsuite: autopkgtest
#XS-Testsuite-Depends: gcc-4.7 binutils

Package: linux-source-5.3.0
Build-Profiles: <!stage1>
Architecture: all
Section: devel
Priority: optional
Provides: linux-source, linux-source-3
Depends: ${misc:Depends}, binutils, bzip2, coreutils
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, kernel-package, libqt3-dev
Description: Linux-libre kernel source for version 5.3.0
 This package provides the source code for the Linux-libre kernel version
 5.3.0.
 .
 This package is mainly meant for other packages to use, in order to build
 custom flavours.
 .
 If you wish to use this package to create a custom Linux-libre kernel, then it
 is suggested that you investigate the package kernel-package, which has
 been designed to ease the task of creating kernel image packages.
 .
 If you are simply trying to build third-party modules for your kernel,
 you do not want this package. Install the appropriate linux-headers
 package instead.

Package: linux-hwe-headers-5.3.0-69
Build-Profiles: <!stage1>
Architecture: all
Multi-Arch: foreign
Section: devel
Priority: optional
Depends: ${misc:Depends}, coreutils
Description: Header files related to Linux-libre kernel version 5.3.0
 This package provides kernel header files for version 5.3.0, for sites
 that want the latest kernel headers. Please read
 /usr/share/doc/linux-hwe-headers-5.3.0-69/debian.README.gz for details

Package: linux-hwe-tools-5.3.0-69
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
Description: Linux-libre kernel version specific tools for version 5.3.0-69
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.3.0-69 on
 32 bit x86.
 You probably want to install linux-tools-5.3.0-69-<flavour>.

Package: linux-hwe-cloud-tools-5.3.0-69
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
Description: Linux-libre kernel version specific cloud tools for version 5.3.0-69
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud tools for version 5.3.0-69 on
 32 bit x86.
 You probably want to install linux-cloud-tools-5.3.0-69-<flavour>.

Package: linux-image-5.3.0-69-generic
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, aufs-dkms, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32], ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.3.0-69-generic
Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-5.3.0-69-generic
Suggests: fdutils, linux-hwe-doc-5.3.0 | linux-hwe-source-5.3.0, linux-hwe-tools, linux-headers-5.3.0-69-generic
Description: Linux-libre kernel image for version 5.3.0 
 This package contains the Linux-libre kernel image for version 5.3.0
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-5.3.0-69-generic
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux-libre kernel extra modules for version 5.3.0 
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-extra-5.3.0-69-generic
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.3.0-69-generic | linux-image-unsigned-5.3.0-69-generic, crda | wireless-crda
Description: Linux-libre kernel extra modules for version 5.3.0 
 This package contains the Linux-libre kernel extra modules for version 5.3.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Generic processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-generic meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-headers-5.3.0-69-generic
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-hwe-headers-5.3.0-69, ${shlibs:Depends}
Provides: linux-headers, linux-headers-3.0
Description: Linux-libre kernel headers for version 5.3.0 
 This package provides kernel header files for version 5.3.0
 .
 This is for sites that want the latest kernel headers.  Please read
 /usr/share/doc/linux-headers-5.3.0-69/debian.README.gz for details.

Package: linux-image-5.3.0-69-generic-dbgsym
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}
Provides: linux-debug
Description: Linux-libre kernel debug image for version 5.3.0 
 This package provides the kernel debug image for version 5.3.0
 .
 This is for sites that wish to debug the kernel.
 .
 The kernel image contained in this package is NOT meant to boot from. It
 is uncompressed, and unstripped. This package also includes the
 unstripped modules.

Package: linux-tools-5.3.0-69-generic
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-hwe-tools-5.3.0-69
Description: Linux-libre kernel version specific tools for version 5.3.0-69
 This package provides the architecture dependant parts for kernel
 version locked tools (such as perf and x86_energy_perf_policy) for
 version 5.3.0-69 on
 32 bit x86.

Package: linux-cloud-tools-5.3.0-69-generic
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: devel
Priority: optional
Depends: ${misc:Depends}, linux-hwe-cloud-tools-5.3.0-69
Description: Linux-libre kernel version specific cloud tools for version 5.3.0-69
 This package provides the architecture dependant parts for kernel
 version locked tools for cloud for version 5.3.0-69 on
 32 bit x86.

Package: linux-hwe-udebs-generic
Build-Profiles: <!stage1>
XC-Package-Type: udeb
Section: debian-installer
Architecture: i386 amd64
Depends: ${udeb:Depends}
Description: Metapackage depending on kernel udebs
 This package depends on the all udebs that the kernel build generated,
 for easier version and migration tracking.


Package: linux-buildinfo-5.3.0-69-generic
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux kernel buildinfo for version 5.3.0 on 32 bit x86 SMP
 This package contains the Linux kernel buildinfo for version 5.3.0 on
 32 bit x86 SMP.
 .
 You likely do not want to install this package.

Package: linux-image-5.3.0-69-lowlatency
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: kernel
Priority: optional
Provides: linux-image, fuse-module, aufs-dkms, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32], ${linux:rprovides}
Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.3.0-69-lowlatency
Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64], initramfs-tools | linux-initramfs-tool
Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
Conflicts: linux-image-5.3.0-69-lowlatency
Suggests: fdutils, linux-hwe-doc-5.3.0 | linux-hwe-source-5.3.0, linux-hwe-tools, linux-headers-5.3.0-69-lowlatency
Description: Linux-libre kernel image for version 5.3.0 
 This package contains the Linux-libre kernel image for version 5.3.0
 .
 Supports Lowlatency processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lowlatency meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-5.3.0-69-lowlatency
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${linux:BuiltUsing}
Description: Linux-libre kernel extra modules for version 5.3.0 
 Contains the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Lowlatency processors.
 .
 Geared toward desktop and server systems.
 .
 You likely do not want to install this package directly. Instead, install
 the linux-lowlatency meta-package, which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-extra-5.3.0-69-lowlatency
Build-Profiles: <!stage1>
Architecture: i386 amd64
Section: kernel
Priority: optional
Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.3.0-69-lowlatency | linux-image-unsigned-5.3.0-69-lowlatency, crda | wireless-crda
Description: Linux-libre kernel extra modules for version 5.3.0 
 This package contains the Linux-libre kernel extra modules for version 5.3.0
 .
 Also includes the corresponding System.map file, the modules built by the
 packager, and scripts that try to ensure that the system is not left in an
 unbootable state after an update.
 .
 Supports Lowlatency processors.
 .
 Geared toward desktop and server systems.
 .

## linux-hwe 5.3.0-72.68+9.0trisquel2

=== debian/changelog ===
linux-hwe (5.3.0-72.68+9.0trisquel2) etiona; urgency=medium

  * Removed non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 24 Mar 2021 00:38:42 +0000

linux-hwe (5.3.0-72.68) bionic; urgency=medium

  * CVE-2020-27170
    - bpf: Fix off-by-one for area size in creating mask to left

  * CVE-2020-27171
    - bpf: Prohibit alu ops for pointer types not defining ptr_limit

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 19 Mar 2021 17:19:51 +0100

linux-hwe (5.3.0-71.67) bionic; urgency=medium

  * binary assembly failures with CONFIG_MODVERSIONS present (LP: #1919315)
    - [Packaging] quiet (nomially) benign errors in BUILD script

  * CVE-2021-3444
    - bpf: Fix 32 bit src register truncation on div/mod
    - bpf: Fix truncation handling for mod32 dst reg wrt zero

  * CVE-2021-27365
    - scsi: iscsi: Verify lengths on passthrough PDUs
    - sysfs: Add sysfs_emit and sysfs_emit_at to format sysfs output
    - scsi: iscsi: Ensure sysfs attributes are limited to PAGE_SIZE

  * CVE-2021-27363 // CVE-2021-27364
    - scsi: iscsi: Restrict sessions and handles to admin capabilities

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 17 Mar 2021 11:06:48 +0100

linux-hwe (5.3.0-70.66) bionic; urgency=medium

  * bionic/linux-hwe: 5.3.0-70.66 -proposed tracker (LP: #1913769)

  * CVE-2020-28374
    - scsi: target: Fix XCOPY NAA identifier lookup

  * Update kernel packaging to support forward porting kernels (LP: #1902957)
    - [Debian] Update for leader included in BACKPORT_SUFFIX

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Fri, 29 Jan 2021 17:30:14 -0300

=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
  you do not want this package. Install the appropriate linux-headers
  package instead.
 
-Package: linux-hwe-headers-5.3.0-69
+Package: linux-hwe-headers-5.3.0-72
 Build-Profiles: <!stage1>
 Architecture: all
 Multi-Arch: foreign
@@ -88,44 +88,44 @@
 Description: Header files related to Linux-libre kernel version 5.3.0
  This package provides kernel header files for version 5.3.0, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-hwe-headers-5.3.0-69/debian.README.gz for details
-
-Package: linux-hwe-tools-5.3.0-69
+ /usr/share/doc/linux-hwe-headers-5.3.0-72/debian.README.gz for details
+
+Package: linux-hwe-tools-5.3.0-72
 Build-Profiles: <!stage1>
 Architecture: i386 amd64
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
-Description: Linux-libre kernel version specific tools for version 5.3.0-69
+Description: Linux-libre kernel version specific tools for version 5.3.0-72
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
- version 5.3.0-69 on
- 32 bit x86.
- You probably want to install linux-tools-5.3.0-69-<flavour>.
-
-Package: linux-hwe-cloud-tools-5.3.0-69
+ version 5.3.0-72 on
+ 64 bit x86.
+ You probably want to install linux-tools-5.3.0-72-<flavour>.
+
+Package: linux-hwe-cloud-tools-5.3.0-72
 Build-Profiles: <!stage1>
 Architecture: i386 amd64
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
-Description: Linux-libre kernel version specific cloud tools for version 5.3.0-69
+Description: Linux-libre kernel version specific cloud tools for version 5.3.0-72
  This package provides the architecture dependant parts for kernel
- version locked tools for cloud tools for version 5.3.0-69 on
- 32 bit x86.
- You probably want to install linux-cloud-tools-5.3.0-69-<flavour>.
-
-Package: linux-image-5.3.0-69-generic
+ version locked tools for cloud tools for version 5.3.0-72 on
+ 64 bit x86.
+ You probably want to install linux-cloud-tools-5.3.0-72-<flavour>.
+
+Package: linux-image-5.3.0-72-generic
 Build-Profiles: <!stage1>
 Architecture: i386 amd64
 Section: kernel
 Priority: optional
 Provides: linux-image, fuse-module, aufs-dkms, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32], ${linux:rprovides}
-Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.3.0-69-generic
+Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.3.0-72-generic
 Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el], initramfs-tools | linux-initramfs-tool
 Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
-Conflicts: linux-image-5.3.0-69-generic
-Suggests: fdutils, linux-hwe-doc-5.3.0 | linux-hwe-source-5.3.0, linux-hwe-tools, linux-headers-5.3.0-69-generic
+Conflicts: linux-image-5.3.0-72-generic
+Suggests: fdutils, linux-hwe-doc-5.3.0 | linux-hwe-source-5.3.0, linux-hwe-tools, linux-headers-5.3.0-72-generic
 Description: Linux-libre kernel image for version 5.3.0 
  This package contains the Linux-libre kernel image for version 5.3.0
  .
@@ -137,7 +137,7 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-5.3.0-69-generic
+Package: linux-modules-5.3.0-72-generic
 Build-Profiles: <!stage1>
 Architecture: i386 amd64
 Section: kernel
@@ -157,12 +157,12 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-extra-5.3.0-69-generic
-Build-Profiles: <!stage1>
-Architecture: i386 amd64
-Section: kernel
-Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.3.0-69-generic | linux-image-unsigned-5.3.0-69-generic, crda | wireless-crda
+Package: linux-modules-extra-5.3.0-72-generic
+Build-Profiles: <!stage1>
+Architecture: i386 amd64
+Section: kernel
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.3.0-72-generic | linux-image-unsigned-5.3.0-72-generic, crda | wireless-crda
 Description: Linux-libre kernel extra modules for version 5.3.0 
  This package contains the Linux-libre kernel extra modules for version 5.3.0
  .
@@ -178,20 +178,20 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-5.3.0-69-generic
-Build-Profiles: <!stage1>
-Architecture: i386 amd64
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-hwe-headers-5.3.0-69, ${shlibs:Depends}
+Package: linux-headers-5.3.0-72-generic
+Build-Profiles: <!stage1>
+Architecture: i386 amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-hwe-headers-5.3.0-72, ${shlibs:Depends}
 Provides: linux-headers, linux-headers-3.0
 Description: Linux-libre kernel headers for version 5.3.0 
  This package provides kernel header files for version 5.3.0
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-headers-5.3.0-69/debian.README.gz for details.
-
-Package: linux-image-5.3.0-69-generic-dbgsym
+ /usr/share/doc/linux-headers-5.3.0-72/debian.README.gz for details.
+
+Package: linux-image-5.3.0-72-generic-dbgsym
 Build-Profiles: <!stage1>
 Architecture: i386 amd64
 Section: devel
@@ -207,28 +207,28 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-tools-5.3.0-69-generic
-Build-Profiles: <!stage1>
-Architecture: i386 amd64
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-hwe-tools-5.3.0-69
-Description: Linux-libre kernel version specific tools for version 5.3.0-69
+Package: linux-tools-5.3.0-72-generic
+Build-Profiles: <!stage1>
+Architecture: i386 amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-hwe-tools-5.3.0-72
+Description: Linux-libre kernel version specific tools for version 5.3.0-72
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
- version 5.3.0-69 on
- 32 bit x86.
-
-Package: linux-cloud-tools-5.3.0-69-generic
-Build-Profiles: <!stage1>
-Architecture: i386 amd64
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-hwe-cloud-tools-5.3.0-69
-Description: Linux-libre kernel version specific cloud tools for version 5.3.0-69
+ version 5.3.0-72 on
+ 64 bit x86.
+
+Package: linux-cloud-tools-5.3.0-72-generic
+Build-Profiles: <!stage1>
+Architecture: i386 amd64
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-hwe-cloud-tools-5.3.0-72
+Description: Linux-libre kernel version specific cloud tools for version 5.3.0-72
  This package provides the architecture dependant parts for kernel
- version locked tools for cloud for version 5.3.0-69 on
- 32 bit x86.
+ version locked tools for cloud for version 5.3.0-72 on
+ 64 bit x86.
 
 Package: linux-hwe-udebs-generic
 Build-Profiles: <!stage1>
@@ -241,30 +241,30 @@
  for easier version and migration tracking.
 
 
-Package: linux-buildinfo-5.3.0-69-generic
+Package: linux-buildinfo-5.3.0-72-generic
 Build-Profiles: <!stage1>
 Architecture: i386 amd64
 Section: kernel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Built-Using: ${linux:BuiltUsing}
-Description: Linux kernel buildinfo for version 5.3.0 on 32 bit x86 SMP
+Description: Linux kernel buildinfo for version 5.3.0 on 64 bit x86 SMP
  This package contains the Linux kernel buildinfo for version 5.3.0 on
- 32 bit x86 SMP.
+ 64 bit x86 SMP.
  .
  You likely do not want to install this package.
 
-Package: linux-image-5.3.0-69-lowlatency
+Package: linux-image-5.3.0-72-lowlatency
 Build-Profiles: <!stage1>
 Architecture: i386 amd64
 Section: kernel
 Priority: optional
 Provides: linux-image, fuse-module, aufs-dkms, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32], ${linux:rprovides}
-Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.3.0-69-lowlatency
+Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-5.3.0-72-lowlatency
 Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64], initramfs-tools | linux-initramfs-tool
 Breaks: flash-kernel (<< 3.90ubuntu2) [arm64 armhf], s390-tools (<< 2.3.0-0ubuntu3) [s390x]
-Conflicts: linux-image-5.3.0-69-lowlatency
-Suggests: fdutils, linux-hwe-doc-5.3.0 | linux-hwe-source-5.3.0, linux-hwe-tools, linux-headers-5.3.0-69-lowlatency
+Conflicts: linux-image-5.3.0-72-lowlatency
+Suggests: fdutils, linux-hwe-doc-5.3.0 | linux-hwe-source-5.3.0, linux-hwe-tools, linux-headers-5.3.0-72-lowlatency
 Description: Linux-libre kernel image for version 5.3.0 
  This package contains the Linux-libre kernel image for version 5.3.0
  .
@@ -276,7 +276,7 @@
  the linux-lowlatency meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-5.3.0-69-lowlatency
+Package: linux-modules-5.3.0-72-lowlatency
 Build-Profiles: <!stage1>
 Architecture: i386 amd64
 Section: kernel
@@ -296,12 +296,12 @@
  the linux-lowlatency meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-extra-5.3.0-69-lowlatency
-Build-Profiles: <!stage1>
-Architecture: i386 amd64
-Section: kernel
-Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.3.0-69-lowlatency | linux-image-unsigned-5.3.0-69-lowlatency, crda | wireless-crda
+Package: linux-modules-extra-5.3.0-72-lowlatency
+Build-Profiles: <!stage1>
+Architecture: i386 amd64
+Section: kernel
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-5.3.0-72-lowlatency | linux-image-unsigned-5.3.0-72-lowlatency, crda | wireless-crda
 Description: Linux-libre kernel extra modules for version 5.3.0 
  This package contains the Linux-libre kernel extra modules for version 5.3.0
  .

## linux-hwe 5.3.0-76.72+9.0trisquel2

=== debian/changelog ===
linux-hwe (5.3.0-76.72+9.0trisquel2) etiona; urgency=medium

  * Removed non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 20 Jul 2021 18:36:35 +0000

linux-hwe (5.3.0-76.72) bionic; urgency=medium

  * CVE-2021-33909
    - SAUCE: seq_file: Disallow extremely large seq buffer allocations

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Thu, 15 Jul 2021 06:36:30 -0300

linux-hwe (5.3.0-75.71) bionic; urgency=medium

  * UAF on CAN BCM bcm_rx_handler (LP: #1931855)
    - SAUCE: can: bcm: delay release of struct bcm_op after synchronize_rcu

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 21 Jun 2021 05:40:08 -0300

linux-hwe (5.3.0-74.70) bionic; urgency=medium

  * bionic/linux-hwe: 5.3.0-74.70 -proposed tracker (LP: #1924647)

  * setting extended attribute may cause memory leak (LP: #1924611)
    - SAUCE: vfs_setxattr: free converted value if xattr_permission returns error

 -- Stefan Bader <stefan.bader@canonical.com>  Fri, 16 Apr 2021 10:22:31 +0200

linux-hwe (5.3.0-73.69) bionic; urgency=medium

  * overlayfs calls vfs_setxattr without cap_convert_nscap
    - vfs: move cap_convert_nscap() call into vfs_setxattr()

  * CVE-2021-3492
    - SAUCE: shiftfs: free allocated memory in shiftfs_btrfs_ioctl_fd_replace()
      error paths
    - SAUCE: shiftfs: handle copy_to_user() return values correctly

  * CVE-2021-29154
    - SAUCE: bpf, x86: Validate computation of branch displacements for x86-64
    - SAUCE: bpf, x86: Validate computation of branch displacements for x86-32

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 13 Apr 2021 10:13:22 +0200
